Core Resources
Tags
Manage tags for categorizing and organizing your resources.
Update tag
Update a tag
Accepts: application/json
Returns: application/json
Parameters
URL Paramsid
integer
Tag ID
body
UpdateTagRequest
Response
object of GenericResponseReference Type: GenericResponse
message
string
A human-readable message describing the result of the operation.
example: User created successfully.
example: User created successfully.
success
boolean
Indicates whether the operation was successful.
example: true
example: true
POST /v1/tags/:id
curl -X POST https://api.serverista.com/v1/tags/:id \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
{
"message": "example_message",
"success": true
}
Delete tag
Delete a tag
Accepts: application/json
Returns: application/json
Parameters
URL Paramsid
integer
Tag ID
Response
object of GenericResponseReference Type: GenericResponse
message
string
A human-readable message describing the result of the operation.
example: User created successfully.
example: User created successfully.
success
boolean
Indicates whether the operation was successful.
example: true
example: true
DELETE /v1/tags/:id
curl -X DELETE https://api.serverista.com/v1/tags/:id \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
{
"message": "example_message",
"success": true
}
Create a tag
Create a new tag for the account
Accepts: application/json
Returns: application/json
Parameters
Request Bodybody
CreateTagRequest
Response
object of TagReference Type: Tag
created_by_user
integer
Identifier of the user who created this tag.
example: 12
example: 12
data
string
Data associated with the tag, can be anything in string format.
example: {"key1":"value1","key2":"value2"} or "expires_at:2025-12-31T23:59:59Z"
example: {"key1":"value1","key2":"value2"} or "expires_at:2025-12-31T23:59:59Z"
id
integer
Unique identifier of the tag.
example: 1
example: 1
name
string
Name of the tag.
example: production
example: production
servers
array of Server
account_id
integer
Identifier of the account that owns this tag.
example: 5
example: 5
color
string
Color associated with the tag.
example: #FF0000
example: #FF0000
POST /v1/tags
curl -X POST https://api.serverista.com/v1/tags \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
{
"account_id": 123,
"color": "example_color",
"created_by_user": 123,
"data": "example_data",
"id": 123,
"name": "example_name",
"servers": [
{
"...": null
}
]
}
List tags
List all tags for the account
Accepts: application/json
Returns: application/json
Parameters
no parameters
Response
array of TagReference Type: Tag
color
string
Color associated with the tag.
example: #FF0000
example: #FF0000
created_by_user
integer
Identifier of the user who created this tag.
example: 12
example: 12
data
string
Data associated with the tag, can be anything in string format.
example: {"key1":"value1","key2":"value2"} or "expires_at:2025-12-31T23:59:59Z"
example: {"key1":"value1","key2":"value2"} or "expires_at:2025-12-31T23:59:59Z"
id
integer
Unique identifier of the tag.
example: 1
example: 1
name
string
Name of the tag.
example: production
example: production
servers
array of Server
account_id
integer
Identifier of the account that owns this tag.
example: 5
example: 5
GET /v1/tags
curl -X GET https://api.serverista.com/v1/tags \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
[
{
"account_id": 123,
"color": "example_color",
"created_by_user": 123,
"data": "example_data",
"id": 123,
"name": "example_name",
"servers": [
{
"...": null
}
]
}
]